397 liens privés
Un petit script bash qui permet de bootstraper les datasources et des templates dans grafana.
Cela consiste à faire des POST sur l'API.
* * * * * /usr/bin/pgrep -f /path/to/cron.sh > /dev/null 2> /dev/null || /path/to/cron.sh
$ cat /etc/cron.d/zapping
0 15 * * 1-6 root /home/admin/zapping
$ cat /home/admin/zapping
#!/bin/bash
set -o pipefail
TODAY=$(date "+%Y-%m-%d")
DATE=${1:-$TODAY}
DEST_DIR=/home/www-data/pub.jeekajoo.eu/videos/zapping
mkdir -p $DEST_DIR
LAST_VIDEO_URL=$(curl -s http://feed.cicogna.fr/zapping.atom | grep -A1 $DATE | grep canalplus.fr | head -n 1 | cut -d '"' -f2)
if [ -z "$LAST_VIDEO_URL" ]
then
echo "Video not found for $DATE"
exit 1
else
/usr/local/bin/youtube-dl -q $LAST_VIDEO_URL -o "$DEST_DIR/$DATE.mp4"
fi
Un script bash vite-fait, que je lance du lundi au samedi 15h, pour récupérer le zapping du jour. Le but c'est d'éviter la publicité, sachant que la technique que j'avais cité ne fonctionne plus.
Si vous avez du temps, n'hésitez pas à faire un truc mieux avec des libs atom/rss capables de récupérer l'item plus joliment que ce que je fais avec des grep.. avec python par exemple. Et de construire un flux avec les vidéos résultantes. ;)
Soit un petit script maven.sh pour lancer un maven jetable avec persistance du cache, dans le répertoire courant, et un client docker dedans bindé sur le host (pratique pour tester docker-maven-plugin https://github.com/spotify/docker-maven-plugin)
#!/bin/bash
docker run --rm -ti -v ${PWD}:/srv -v /var/run/docker.sock:/var/run/docker.sock -v $HOME/.m2:/root/.m2 jeekajoo/maven-dind $@
Appelé sans argument il lance un bash intéractif, et sinon on peut l'utiliser comme cela
$ maven.sh mvn --version
$ maven.sh mvn clean docker:removeImage package docker:build docker:push
doc maven: https://maven.apache.org/guides/getting-started/maven-in-five-minutes.html
"""
Explains how to update all Linux containers (LXC) VMs from host operating system using a shell script.
"""
#!/bin/bash
function finish {
# Your cleanup code here
}
trap finish EXIT
Faire exécuter une fonction à la fin d'un script bash, quelque soit son issue.
C'est pratique pour faire le nettoyage nécessaire, en particulier quand on fait du "fail-fast" (https://jeekajoo.eu/links/?DRhD6w).
"""
Multiple reports (for the output) may be defined
Decision to send a report (or not) is configurable based on:
Output content analysis (using regular expressions)
Command exit code
Size of output
Command execution duration
Support for plain text, enriched text and HTML report formatting. (The latter two allow rendering part of the output in bold.)
Various timeout actions such as notification and command termination
Locking support
Progress report logging via syslog
Automatic crontab file updating based on shush's configuration
"""
sympa ce wrapper pour les cronjobs.
dispo en paquet sur debian (edit: plus maintenant pour cause de bug)
"""
The problem
In bash, running test programs which indicate their pass or fail status via an exit code can be problematic when they are run as part of a pipeline in Linux, Mac OS X or Cygwin since the reported exit code of a pipeline is normally the exit code of the last program in the pipeline. If the test program is not the last program in the pipeline, then its exit code will be hidden by the exit code of the last program.
The solution
bash version 3 introduced an option which changes the exit code behavior of pipelines and reports the exit code of the pipeline as the exit code of the last program to return a non-zero exit code. So long as none of the programs following the test program report a non-zero exit code, the pipeline will report its exit code to be that of the test program. To enable this option, simply execute:
set -o pipefail
in the shell where the test program will execute.
"""
via https://github.com/progrium/bashstyle (Always use set -eo pipefail. Fail fast and be aware of exit codes. Use || true on programs that you intentionally let exit non-zero.)
"""
Scripts to ease regular bitcoin donations to several addresses.
Inspired by the awesome Flattr idea.
Thanks to the scriptability of bitcoin network bitcoin_monthly_contribute doesn't require any service provider solution. All you need is couple of simple free software scripts on your box.
"""
via https://framasphere.org/posts/665857
Shellcodes qui permettent à n'importe quels « script kiddies » de faire une élevation de privilège dès qu'ils ont accès à un shell (exemple https://demo.cozycloud.cc/#apps/term/).
Petit script python pour archiver et éventuellement supprimer ses tweets.
Ca s'appuie sur l'API, il faut donc créer une app twitter pour cela.
J'en avais créé une à l'époque où ils ne demandaient pas de numéro de téléphone, ça a visiblement changé.
Le script permet donc de sauvegarder les tweets dans un format texte dont voici un exemple (c'était mon premier tweet, notez l'originalité):
"""
Tweet id: 157061473858887680 -- Date: Wed Jan 11 11:29:08 +0000 2012 || hello world :) #helloworld
"""
A noter que la fonction d'archivage json de twitter est en panne depuis 1 mois quasiment:
https://twitter.com/search?q=archive%20twitter%20%40support&src=typd&vertical=default&f=tweets
t'as du faire un truc similaire à ça? https://github.com/hanumanum/RSS-To-Diaspora
;)
install des dépendances (valable pour debian 7)
apt-get install libjson-perl libxml-feed-perl libwww-mechanize-perl libhtml-strip-perl libreadonly-perl
Créer une session powershell sur un serveur à distance.
Bordel me voilà à faire du windows... ><
Script Greasemonkey pour regarder des vidéos sans flash mais aussi sans pub/tracker.
Pour info, canalplus.fr empêche maintenant la lecture de la vidéo tant que le tracker 'videoplaza' est bloqué. Ce script est donc une bonne parade pour ceux qui ne veulent pas de flash, ni aucun trackers.
Sur une distrib debian ou basée sur debian, les paquets 'mplayer' et 'gecko-mediaplayer' permettent de lire de la vidéo en streaming dans firefox agréablement. Testé et approuvé.